#pragma once
#include <map>
struct M_ActivityDrawLotteryData
{
	//编号
	int mID;
	//抽奖类型
	int mDrawType;
	//奖励
	int mItemId;
	//数量
	int mNumber;
	//权重
	int mWeight;
	//显示标签
	int mDisplayLabel;
};

class M_ActivityDrawLottery
{
public:
private:
	static std::auto_ptr<M_ActivityDrawLottery> msSingleton;
public:
	int GetCount();
	const M_ActivityDrawLotteryData* GetData(int ID);
	const std::map<int, M_ActivityDrawLotteryData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityDrawLottery* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityDrawLotteryData> mMapData;
};
